Upstreaming Patches - Upstreaming #2796

Add distro boot support for the TBS2910
2020-06-12 08:00 PM - GNUtoo

Status: fixed
Priority: bug
Assignee: GNUtoo
Category:

Description

History

#1 - 2020-06-12 09:25 PM - GNUtoo

- Tracker changed from Housekeeping to Upstreaming
#2 - 2020-06-12 09:43 PM - GNUtoo
Status

Status: v5 accepted upstream
Affected devices: TBS TBS2910

WIP packageuboot4extlinux-imx

Rationale
We need to add support for devices with armv7 |.MX SOCs, and | have the TBS TBS2910 that has an 1.MX6Q.
Instead of adding local patches, | went straight to upstream the configuration necessary to enable distro boot.

Once this is upstreamed, we could then finish the uboot4extlinux PKGBUILD for armv7 |.MX devices and enable to support many more devices that
can boot with free software and/or update the old bootloader packages for other I.MX devices.

#3 - 2021-07-06 10:34 PM - GNUtoo

- Status changed from open to fixed

That is now upstream.
https://lists.denx.de/pipermail/u-boot/2020-May/414222.html
https://git.parabola.nu/abslibre/abslibre.git/tree/libre/uboot4extlinux-imx
http://www.tcpdf.org

